# GpgFrontend Project: src/core/function/CoreSignalStation.h Source File

CoreSignalStation.h
#ifndef GPGFRONTEND_CORESIGNALSTATION_H
#define GPGFRONTEND_CORESIGNALSTATION_H
#include "core/GpgFrontendCore.h"
namespace GpgFrontend {
class GPGFRONTEND_CORE_EXPORT CoreSignalStation : public QObject {
Q_OBJECT
static std::unique_ptr<CoreSignalStation> _instance;
public:
static CoreSignalStation* GetInstance();
signals:
void SignalUserInputPassphraseDone(QString passparase);
void SignalNeedUserInputPassphrase();
};
} // namespace GpgFrontend
#endif // GPGFRONTEND_CORESIGNALSTATION_H
GpgFrontend::CoreSignalStation
Definition: CoreSignalStation.h:40
GpgFrontend::CoreSignalStation::_instance
static std::unique_ptr< CoreSignalStation > _instance
Definition: CoreSignalStation.h:42
GpgFrontend
Definition: CoreCommonUtil.cpp:31